# Calcula [![Build Status](https://travis-ci.org/plankp/Calcula.svg?branch=master)](https://travis-ci.org/plankp/Calcula) [![Code Climate](https://codeclimate.com/github/plankp/Calcula/badges/gpa.svg)](https://codeclimate.com/github/plankp/Calcula) [![Inline docs](http://inch-ci.org/github/plankp/Calcula.svg?branch=master)](http://inch-ci.org/github/plankp/Calcula) [![Gem Version](https://badge.fury.io/rb/calcula.svg)](https://badge.fury.io/rb/calcula)

When mathematics meets programming

Think of this as a very over powered calculator since it allows you to define functions and such.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'calcula'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install calcula

## Usage

To compile Calcula code to ruby, type in:

```ruby
require "calcula"
src = <<-'EOS'
# Write some Calcula code here
EOS
puts Calcula::compile(src)
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/plankp/calcula. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](./CODE_OF_CONDUCT.md) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](./LICENSE.txt).
